﻿namespace InternshipSystem.Core
{
    public struct Nip
    {
        private readonly string _nip;

        public Nip(string nip)
        {
            _nip = nip;
        }

        public static implicit operator string(Nip nip) =>
            nip._nip;
        
        public static implicit operator Nip(string maybeNip) =>
            new Nip(maybeNip);
    }
}