﻿using System;
using System.Collections.Generic;
using InternshipSystem.Core.Entity.Internship;
using InternshipSystem.Core.UglyOrmArtifacts;

namespace InternshipSystem.Core
{
    public class Edition
    {
        public Guid Id { get; set; }
        public DateTime EditionStart { get; set; }
        public DateTime EditionFinish { get; set; }
        public DateTime ReportingStart { get; set; }
        public Course Course { get; set; }
        public List<Internship> Internships { get; set; }
        public List<EditionSubject> AvailableSubjects { get; set; }

        public Edition CreateEdition(DateTime start, DateTime end, DateTime reportingStart)
        {
            return new Edition
            {
                EditionStart = start,
                EditionFinish = end,
                ReportingStart = reportingStart
            };
        }
    }
}