﻿namespace InternshipSystem.Core
{
    public struct PhoneNumber
    {
        private readonly string _phoneNumber;

        public PhoneNumber(string phoneNumber)
        {
            _phoneNumber = phoneNumber;
        }

        public static implicit operator string(PhoneNumber number) =>
            number._phoneNumber;
        
        public static implicit operator PhoneNumber(string maybeNumber) =>
            new PhoneNumber(maybeNumber);
    }
}